/* Auteur: Nicolas JANEY          */
/* nicolas.janey@univ-fcomte.fr   */
/* Avril 2005                     */

public class ApplicationPiles {

  public static void main(String [] args) {
    /* Instanciation de deux Pile                         */
    Pile p1 = new Pile();
    Pile p2 = new Pile(50);
    /* Affichage des deux piles                           */
    System.out.println("Piles testees");
    System.out.println(p1);
    System.out.println(p2);
    /* Empilement de deux Integer dans p1                 */
    p1.empiler(new Integer(100));
    p1.empiler(new Integer(-100));
    /* Affichage de p1                                    */
    System.out.println(p1);
    /* Depilement et affichage d'un Object de p1 et       */
    /* affichage du resultat du test pile vide            */
    /* sur la pile resultante                             */
    Object o = p1.depiler();
    System.out.println(o);
    System.out.println(p1.pileVide());
    /* Depilement et affichage d'un autre Object de p1    */
    /* affichage du resultat du test pile vide            */
    /* sur la pile resultante                             */
    System.out.println(p1.depiler());
    System.out.println(p1.pileVide());
    /* Depilement et affichage d'un nouvel Object de p1   */
    /* -> cela ne marche pas et conduit au resultat null  */
    System.out.println(p1.depiler());
    /* Empilement de trois objets de classes differentes  */
    /* dans p2 et affichage de la pile resultante         */
    p2.empiler(new Personne("Dupond","Armand",0,154119030048812L));
    p2.empiler(new Cercle(2.3F,3.1F,2.6F));
    p2.empiler(new Personne("Dumas","Emilie",1,262037820018798L));
    System.out.println(p2);
  }
}